import { getList } from '@/services/building';

const buildingModel = {
  namespaced: 'building',
  state: {

  },
  effect: {
    *fetch(_, { call, put }) {
      const response = yield call(getList);
      yield put({
        type: 'get',
        payload: response,
      });
    },
  },
  reducers: {

  },
}

export default buildingModel
